org.eclipse.microprofile.graphql.tck.apps.superhero.api

## Class WeaknessNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.graphql.tck.apps.superhero.api.WeaknessNotFoundException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FlawNotFoundException

    public class WeaknessNotFoundException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WeaknessNotFoundException()`
`WeaknessNotFoundException(String string)`
`WeaknessNotFoundException(String string, Throwable thrwbl)`
`WeaknessNotFoundException(String string, Throwable thrwbl, boolean bln, boolean bln1)`
`WeaknessNotFoundException(Throwable thrwbl)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WeaknessNotFoundException

    public WeaknessNotFoundException()

#### WeaknessNotFoundException

    public WeaknessNotFoundException(String string)

#### WeaknessNotFoundException

    public WeaknessNotFoundException(String string,
                                     Throwable thrwbl)

#### WeaknessNotFoundException

    public WeaknessNotFoundException(Throwable thrwbl)

#### WeaknessNotFoundException

    public WeaknessNotFoundException(String string,
                                     Throwable thrwbl,
                                     boolean bln,
                                     boolean bln1)